Skip to content
SupportLogin

Complete a dataset upload and trigger processing

POST/api/v1/datasets/upload/complete

Complete a dataset upload and trigger processing

Body ParametersJSONExpand Collapse
s3_key: string

S3 object key returned in the pre-signed URL response from /upload/initiate

name: string

Human-readable name for the dataset

file_format: "csv" or "json" or "jsonl" or 8 more

Format of the uploaded file

One of the following:
"csv"
"json"
"jsonl"
"parquet"
"pdf"
"docx"
"pptx"
"xlsx"
"html"
"zip"
"txt"
file_size_bytes: number

Size of the uploaded file in bytes

minimum0
maximum2147483648
ReturnsExpand Collapse
dataset_id: string

ID of the newly created dataset

Complete a dataset upload and trigger processing

curl https://api.prod.adaptionlabs.ai/api/v1/datasets/upload/complete \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $ADAPTION_API_KEY" \
    -d '{
          "s3_key": "uploads/550e8400-e29b-41d4-a716-446655440000/my-training-data.csv",
          "name": "my-training-data",
          "file_format": "csv",
          "file_size_bytes": 1048576
        }'
{
  "dataset_id": "550e8400-e29b-41d4-a716-446655440000"
}
Returns Examples
{
  "dataset_id": "550e8400-e29b-41d4-a716-446655440000"
}